Bug 1088423 - ElEvaluator has an unbounded cache
Summary: ElEvaluator has an unbounded cache
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: EE
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER5
: EAP 6.3.0
Assignee: Tomaz Cerar
QA Contact:
URL:
Whiteboard:
Depends On: 1094870
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-16 15:40 UTC by Aaron Ogburn
Modified: 2018-12-05 18:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 14:39:50 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker JBEE-148 0 Major Resolved Unbounded ELEvaluator cache can cause OOMEs 2017-01-14 05:55:37 UTC
Red Hat Issue Tracker JBPAPP-11019 0 Major Resolved EAP 5.1.1 - Fix for JEE-148 - Unbounded ELEvaluator cache can cause OOMEs 2017-01-14 05:55:37 UTC

Description Aaron Ogburn 2014-04-16 15:40:22 UTC
Description of problem:

ElEvaluator has an unbounded cache, which can lead to OOMEs in some use cases

Version-Release number of selected component (if applicable):

jboss-jstl-api_1.2_spec-1.0.5.Final

Comment 1 JBoss JIRA Server 2014-05-05 19:35:00 UTC
Tomaz Cerar <tomaz.cerar@gmail.com> updated the status of jira JBEE-148 to Resolved

Comment 2 Jan Martiska 2014-07-04 06:59:41 UTC
Verified in EAP 6.3.0.ER8.


Note You need to log in before you can comment on or make changes to this bug.